Botan: Botan::Cert_Extension::Alternative_Name Class Reference

Botan 1.10.17

Public Member Functions | Protected Member Functions | List of all members
Botan::Cert_Extension::Alternative_Name Class Referenceabstract

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Alternative_Name:

## Public Member Functions
virtual Certificate_Extension * | copy () const =0
AlternativeName | get_alt_name () const
OID | oid_of () const

## Protected Member Functions
| Alternative_Name (const AlternativeName &, const std::string &, const std::string &)
| Alternative_Name (const std::string &, const std::string &)

## Detailed Description

Alternative Name Extension Base Class

Definition at line 192 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ Alternative_Name() [1/2]

Botan::Cert_Extension::Alternative_Name::Alternative_Name | ( | const AlternativeName & | alt_name,
|  | const std::string & | oid_name_str,
|  | const std::string & | config_name_str
| ) |  |
| protected

Definition at line 377 of file x509_ext.cpp.

380 {
381 this->alt_name = alt_name;
382 this->oid_name_str = oid_name_str;
383 this->config_name_str = config_name_str;
384 }

## ◆ Alternative_Name() [2/2]

Botan::Cert_Extension::Alternative_Name::Alternative_Name | ( | const std::string & | ,
|  | const std::string & |
| ) |  |
| protected

## Member Function Documentation

## ◆ copy()

virtual Certificate_Extension* Botan::Certificate_Extension::copy | ( |  | ) | const
| pure virtualinherited

Make a copy of this extension

Returns
  copy of this

Implemented in Botan::Cert_Extension::CRL_ReasonCode, Botan::Cert_Extension::CRL_Number, Botan::Cert_Extension::Certificate_Policies, Botan::Cert_Extension::Extended_Key_Usage, Botan::Cert_Extension::Issuer_Alternative_Name, Botan::Cert_Extension::Subject_Alternative_Name, Botan::Cert_Extension::Authority_Key_ID, Botan::Cert_Extension::Subject_Key_ID, Botan::Cert_Extension::Key_Usage, and Botan::Cert_Extension::Basic_Constraints.

## ◆ get_alt_name()

AlternativeName Botan::Cert_Extension::Alternative_Name::get_alt_name | ( |  | ) | const
| inline

Definition at line 195 of file x509_ext.h.

195 { return alt_name; }

## ◆ oid_of()

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| inherited

Returns
  OID representing this extension

Definition at line 72 of file x509_ext.cpp.

References Botan::OIDS::lookup(), and Botan::Certificate_Extension::oid_name().

Referenced by Botan::Extensions::encode_into().

73 {
74 return OIDS::lookup(oid_name());
75 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:31

The documentation for this class was generated from the following files:

- src/cert/x509cert/x509_ext.h
- src/cert/x509cert/x509_ext.cpp